# Get a Collection of Sequence States

Endpoint: GET /sequenceStates
Security: bearerAuth, s2sAuthToken

## Response 200 fields (application/vnd.api+json):

  - `data` (array)

  - `data.attributes` (object)
    A descriptor of a currently sequenced prospect, which includes relationships to its sequence, prospect and user.

  - `data.attributes.activeAt` (string,null)
    The date and time the sequence state was last active.

  - `data.attributes.bounceCount` (integer,null)
    The total count of bounced mailings during this sequence state.

  - `data.attributes.callCompletedAt` (string,null)
    The date and time the sequence state last had a call completed.

  - `data.attributes.clickCount` (integer,null)
    The total count of clicked mailings from this sequence state.

  - `data.attributes.createdAt` (string,null)
    The date and time the sequence state was created.

  - `data.attributes.deliverCount` (integer,null)
    The total count of delivered mailings from this sequence state.

  - `data.attributes.errorReason` (string,null)
    The reason for the most recent error.

  - `data.attributes.failureCount` (integer,null)
    The total count of failed mailings from this sequence state.

  - `data.attributes.negativeReplyCount` (integer,null)
    The total count of negative reply mailings from this sequence state.

  - `data.attributes.neutralReplyCount` (integer,null)
    The total count of neutral reply mailings from this sequence state.

  - `data.attributes.openCount` (integer,null)
    The total count of opened mailings from this sequence state.

  - `data.attributes.optOutCount` (integer,null)
    The total count of opted out mailings from this sequence state.

  - `data.attributes.pauseReason` (string,null)
    The reason for the most recent pause.

  - `data.attributes.positiveReplyCount` (integer,null)
    The total count of positive reply mailings from this sequence state.

  - `data.attributes.repliedAt` (string,null)
    The date and time the sequence state last had a mailing reply.

  - `data.attributes.replyCount` (integer,null)
    The total count of replied mailings from this sequence state.

  - `data.attributes.scheduleCount` (integer,null)
    The total count of scheduled mailings from this sequence state.

  - `data.attributes.state` (string,null)
    The current state of the sequence state.

  - `data.attributes.stateChangedAt` (string,null)
    The date and time the sequence state’s state last changed.

  - `data.attributes.updatedAt` (string,null)
    The date and time the sequence state was last updated.

  - `data.id` (integer)

  - `data.relationships` (object)

  - `data.relationships.account` (object)
    The account associated with the prospect the sequence state is targeting. You can use only the attribute id to filter sequenceStates by account (e.g. filter[account][id]=X).

  - `data.relationships.account.data` (object,null)

  - `data.relationships.account.data.id` (integer)

  - `data.relationships.account.data.type` (string)
    Enum: "account"

  - `data.relationships.account.links` (object)

  - `data.relationships.account.links.related` (string)

  - `data.relationships.activeStepMailings` (object)
    Any undelivered mailings associated with the current sequence step. Relationship activeStepMailings cannot be used as a filter.

  - `data.relationships.activeStepMailings.data` (array)

  - `data.relationships.activeStepMailings.data.id` (integer)

  - `data.relationships.activeStepMailings.data.type` (string)
    Enum: "mailing"

  - `data.relationships.activeStepMailings.links` (object)

  - `data.relationships.activeStepMailings.links.related` (string)

  - `data.relationships.activeStepTasks` (object)
    Any incomplete tasks associated with the current sequence step. Relationship activeStepTasks cannot be used as a filter.

  - `data.relationships.activeStepTasks.data` (array)

  - `data.relationships.activeStepTasks.data.id` (integer)

  - `data.relationships.activeStepTasks.data.type` (string)
    Enum: "task"

  - `data.relationships.activeStepTasks.links` (object)

  - `data.relationships.activeStepTasks.links.related` (string)

  - `data.relationships.batchItemCreator` (object)
    The batch item associated with this creation, if one exists.

  - `data.relationships.batchItemCreator.data` (object,null)

  - `data.relationships.batchItemCreator.data.id` (integer)

  - `data.relationships.batchItemCreator.data.type` (string)
    Enum: "batchItem"

  - `data.relationships.batchItemCreator.links` (object)

  - `data.relationships.batchItemCreator.links.related` (string)

  - `data.relationships.calls` (object)
    The calls associated with the sequence state. You can use only the attribute id to filter sequenceStates by calls (e.g. filter[calls][id]=X).

  - `data.relationships.calls.links` (object)

  - `data.relationships.calls.links.related` (string)

  - `data.relationships.creator` (object)
    The creator of the sequence state. Relationship creator cannot be used as a filter.

  - `data.relationships.creator.data` (object,null)

  - `data.relationships.creator.data.id` (integer)

  - `data.relationships.creator.data.type` (string)
    Enum: "user"

  - `data.relationships.creator.links` (object)

  - `data.relationships.creator.links.related` (string)

  - `data.relationships.mailbox` (object)
    The mailbox to use for mailing steps. You can use attributes id and email to filter sequenceStates by mailbox (e.g. filter[mailbox][id]=X).

  - `data.relationships.mailbox.data` (object,null)

  - `data.relationships.mailbox.data.id` (integer)

  - `data.relationships.mailbox.data.type` (string)
    Enum: "mailbox"

  - `data.relationships.mailbox.links` (object)

  - `data.relationships.mailbox.links.related` (string)

  - `data.relationships.mailings` (object)
    The mailings associated with the sequence state. Relationship mailings cannot be used as a filter.

  - `data.relationships.mailings.links` (object)

  - `data.relationships.mailings.links.related` (string)

  - `data.relationships.opportunity` (object)
    The associated opportunity. You can use only the attribute id to filter sequenceStates by opportunity (e.g. filter[opportunity][id]=X).

  - `data.relationships.opportunity.data` (object,null)

  - `data.relationships.opportunity.data.id` (integer)

  - `data.relationships.opportunity.data.type` (string)
    Enum: "opportunity"

  - `data.relationships.opportunity.links` (object)

  - `data.relationships.opportunity.links.related` (string)

  - `data.relationships.prospect` (object)
    The primary prospect this sequence state is targeting. You can use attributes id and emails to filter sequenceStates by prospect (e.g. filter[prospect][id]=X).

  - `data.relationships.prospect.data` (object,null)

  - `data.relationships.prospect.data.id` (integer)

  - `data.relationships.prospect.data.type` (string)
    Enum: "prospect"

  - `data.relationships.prospect.links` (object)

  - `data.relationships.prospect.links.related` (string)

  - `data.relationships.sequence` (object)
    The sequence this prospect is engaged in. You can use any filterable attribute of sequence.

  - `data.relationships.sequence.data` (object,null)

  - `data.relationships.sequence.data.id` (integer)

  - `data.relationships.sequence.data.type` (string)
    Enum: "sequence"

  - `data.relationships.sequence.links` (object)

  - `data.relationships.sequence.links.related` (string)

  - `data.relationships.sequenceStep` (object)
    The current sequence step the prospect is in. You can use any filterable attribute of sequenceStep.

  - `data.relationships.sequenceStep.data` (object,null)

  - `data.relationships.sequenceStep.data.id` (integer)

  - `data.relationships.sequenceStep.data.type` (string)
    Enum: "sequenceStep"

  - `data.relationships.sequenceStep.links` (object)

  - `data.relationships.sequenceStep.links.related` (string)

  - `data.relationships.tasks` (object)
    The tasks associated with the sequence state. You can use attributes id and dueAt to filter sequenceStates by tasks (e.g. filter[tasks][id]=X).

  - `data.relationships.tasks.links` (object)

  - `data.relationships.tasks.links.related` (string)

  - `data.type` (string)

## Response 422 fields (application/vnd.api+json):

  - `errors` (array)

  - `errors.detail` (string)

  - `errors.id` (string)

  - `errors.title` (string)


